#!/bin/sh
# refresh drive_all
for ONEFILE in $(ls /root/.pup_event/drive_*/AppRun 2>/dev/null)
do
  cp -f /usr/local/bin/drive_all $ONEFILE
done

# ROX-Filer i18n option
OPTION=/root/.config/rox.sourceforge.net/ROX-Filer/Options
if [ -f $OPTION ]; then
 if ! grep -q 'i18n_translation.*From.LANG' $OPTION;then
   sed -e 's,^.*<Option name="i18n_translation">.*$,  <Option name="i18n_translation">From LANG</Option>,' $OPTION > $OPTION.new
   [ -s $OPTION.new ] && cp -f $OPTION $OPTION.bak && mv -f $OPTION.new $OPTION
 fi
#else
 # echo "$OPTION not found. ROX-Filer seems not properly installed." >&2
fi

# correct jwm font setting
MODIFIED=""
for ONEFILE in /etc/xdg/templates/_root_.jwmrc /root/.jwmrc /root/.jwm/jwmrc-theme $(ls /root/.jwm/themes/*-jwmrc 2>/dev/null)
do
	grep -q '<Font>DejaVu Sans-' $ONEFILE || continue
	sed -e 's/<Font>DejaVu Sans-/<Font>DejaVu Sans /'  $ONEFILE > $ONEFILE.new
	[ -s $ONEFILE.new ] && mv -f $ONEFILE.new $ONEFILE && MODIFIED="yes"
done
[ "$MODIFIED" ] && fixmenus && pidof jwm >/dev/null && jwm -restart